using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Reflection;
using System.Xml.Serialization;
using Produmex.Foundation.Data.Sbo.BusinessObjects;
using Produmex.Foundation.Diagnostics;
using Produmex.Foundation.Sbo.Globalization;
using Produmex.Foundation.Sbo.Globalization.DataObjects;
using Produmex.Foundation.SboGui;
using Produmex.Foundation.Data.Sbo;

namespace Produmex.Sbo.Logex.AddOn
{
    /// <summary>
    /// The addOn implementation inherited from the SboAddOn base class.
    /// </summary>
    public class PmxAddOn : SboAddOnMaster
    {       
        /// <summary>
        /// Used for logging
        /// </summary>
        private static readonly ILog s_log = LogProvider.GetLogger( MethodInfo.GetCurrentMethod().DeclaringType );

        /// <summary>
        /// Initializes a new instance of the <see cref="PmxAddOn"/> class.
        /// </summary>
        /// <param name="addonName">Name of the addon.</param>
        /// <param name="application">The application.</param>
        /// <param name="company">The company.</param>
        [CLSCompliant(false)]
        public PmxAddOn( string addonName, SAPbouiCOM.Application application, SAPbobsCOM.Company company )
            : base(addonName, application,company)
        {

        }

    }
}
