﻿using System;
using System.Collections.ObjectModel;
using System.IO;
using System.Reflection;
using System.Text;
using System.Threading;
using System.Transactions;
using System.Windows.Forms;
using Produmex.Foundation;
using Produmex.Foundation.Data.Sbo;
using Produmex.Foundation.Data.Sbo.BusinessObjects;
using Produmex.Foundation.Data.Sbo.BusinessObjects.Definitions.Tables;
using Produmex.Foundation.Data.Sbo.Providers;
using Produmex.Foundation.Data.Sbo.Utilities;
using Produmex.Foundation.Data.SqlClient;
using Produmex.Foundation.Diagnostics;
using Produmex.Foundation.SboGui;
using Produmex.Foundation.SboGui.Data;
using Produmex.Foundation.SboGui.Forms;
using Produmex.Foundation.SboGui.SboGuiIds;
using Produmex.Foundation.SboGui.Utilities;
using Produmex.Foundation.Utilities;
using Produmex.Sbo.Logex.AddOn.Forms;
using SAPbouiCOM;
using Produmex.Foundation.SboGui.Controls.Matrix;
using System.Collections.Generic;

namespace Produmex.Sbo.Logex.AddOnPlugin
{
    /// <summary>
    /// 
    /// </summary>
    public class PmxLogexAddOnPlugin : SboAddOnPlugin
    {
        private static readonly ILog s_log = LogProvider.GetLogger(MethodInfo.GetCurrentMethod().DeclaringType);

        /// <summary>
        /// Gets the add on menu creator priority.
        /// </summary>
        /// <value>The add on menu creator priority.</value>
        public override SboAddOnPlugin.MenuCreatorPriority AddOnMenuCreatorPriority
        {
            get { return MenuCreatorPriority.Standard; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="PmxLogexAddOnPlugin"/> class.
        /// </summary>
        /// <param name="addOn">The add on.</param>
        public PmxLogexAddOnPlugin(SboAddOn addOn)
            : base(addOn)
        {
            ConfigMgr.GI.AddConfig(2, Assembly.GetExecutingAssembly().Location);

			//Set default settings from company

            SboCompanyProvider sboCompProv = new SboCompanyProvider( base.AddOn.SboConnection );
            Foundation.Utilities.DateTimeHelper.DateTimeFormat = sboCompProv.GetDateFormat();

            PmxDbConnectionMgr.GI.OnGetSboConnectionStringForDirectConnection += new PmxDbConnectionMgr.GetSboConnectionStringForDirectConnectionDelegate( addOn_DoGetSboConnectionStringForSql );

            // base.AddOn.SetStatusBarMessageLocalized( "Logex.AddOn.WaitingForLicense", SboStatusBarMessageTime.Short, SboStatusBarMessageType.Success );
		}

        void addOn_DoGetSboConnectionStringForSql(SboConnection sboConn, ref SboConnectionString connStr)
        {
        }

        /// <summary>
        /// Initializes the plugin.
        /// </summary>
        public override void InitializePlugin()
        {
            base.InitializePlugin();

            RegisterForms();
        }

        /// <summary>
        /// Register the form types for witch you want to subscribe to the events.
        /// </summary>
        private void RegisterForms()
        {
            this.AddOn.RegisterSboForm( typeof( PmxSalesOrderForm ) );
		}

    }
}
